matrix:
  platform:
  - centos7
  - debian10
  - fedora39
  - ubuntu2004
  - macos
  - macos_arm64
  - windows
  bazel:
  - 6.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@blake3//:blake3'
  verify_targets_windows_arm:
    name: Verify build targets for Windows ARM
    platform: windows
    bazel: ${{ bazel }}
    build_targets:
    - '@blake3//:blake3'
    build_flags:
    - '--incompatible_enable_cc_toolchain_resolution'
    - '--platforms=@blake3//:internal_ci_only_do_not_use_windows_arm64'
    - '--extra_toolchains=@local_config_cc//:cc-toolchain-arm64_windows'
